/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): Vivien Quema
 */

package org.objectweb.dream.aaa.components;

import org.objectweb.dream.aaa.agent.AgentId;
import org.objectweb.dream.aaa.agent.Notification;

/**
 * Basic implmentation of the chunk interface {@link AgentChunk}
 */
public class AgentChunkImpl implements AgentChunk
{

  private AgentId      agentFrom;
  private AgentId      agentTo;
  private Notification agentNotificaiton;

  /**
   * @see AgentChunk#getAgentFrom()
   */
  public AgentId getAgentFrom()
  {
    return agentFrom;
  }

  /**
   * @see AgentChunk#setAgentFrom(AgentId)
   */
  public void setAgentFrom(AgentId id)
  {
    agentFrom = id;
  }

  /**
   * @see AgentChunk#getAgentTo()
   */
  public AgentId getAgentTo()
  {
    return agentTo;
  }

  /**
   * @see AgentChunk#setAgentTo(AgentId)
   */
  public void setAgentTo(AgentId id)
  {
    agentTo = id;
  }

  /**
   * @see AgentChunk#getAgentNotification()
   */
  public Notification getAgentNotification()
  {
    return agentNotificaiton;
  }

  /**
   * @see AgentChunk#setAgentNotifiaction(Notification)
   */
  public void setAgentNotifiaction(Notification not)
  {
    agentNotificaiton = not;
  }

}