/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.aaa.components;

import org.objectweb.fractal.api.control.AttributeController;

/**
 * Attribute controller interface for causality transformer component.
 */
public interface CausalityTransformerAttributeController
    extends
      AttributeController
{

  /**
   * Sets the name of the {@link org.objectweb.dream.protocol.ArrowChunk }
   * added to messages by causality transformer component.
   * 
   * @param name the name of the <code>ArrowChunk</code>.
   */
  void setArrowChunkName(String name);

  /**
   * Returns the name of the <code>ArrowChunk</code>.
   * 
   * @return the name of the <code>ArrowChunk</code>.
   */
  String getArrowChunkName();

  /**
   * Sets the domain index of the local network.
   * 
   * @param index the domain index of the local network.
   */
  void setLocalDomainIndex(short index);

  /**
   * Returns the domain index of the local network.
   * 
   * @return the domain index of the local network.
   */
  short getLocalDomainIndex();
}