/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): Vivien Quema
 */

package org.objectweb.dream.aaa.components.conf;

import java.util.List;

/**
 * An interface responsible to read the configuration file (a3server.xml) and to
 * retreive the resulting object graph.
 */
public interface A3ServerXmlParser
{

  /** The default name for interface of this type. */
  String ITF_NAME = "a3parser";

  /**
   * Retreives the configuration file, parses it and returns the list of servers
   * defined in it
   * 
   * @param url the url of the file.
   * @return the list of servers defined in it
   * @throws Exception if an error occurs during parsing
   */
  List parse(String url) throws Exception;
}