/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): Vivien Quema
 */

package org.objectweb.dream.channel;

import org.objectweb.fractal.api.control.AttributeController;

/**
 * Attribute controller for multi threaded opened socket manager.
 */
public interface OpenedSocketManagerMultiAttributeController
    extends
      AttributeController
{
  /**
   * Returns the maximum number of opened socket.
   * 
   * @return the <code>maxOpenedSocket</code> attribute's value.
   */
  int getMaxOpenedSocket();

  /**
   * Sets the <code>maxOpenedSocket</code> attribute's value.
   * 
   * @param maxOpenedSocket the new <code>maxOpenedSocket</code> attribute's
   *          value.
   */
  void setMaxOpenedSocket(int maxOpenedSocket);
}