/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Vivien Quema
 * Contributor(s): 
 */

package org.objectweb.dream.queue;

/**
 * This interface defines methods that must be implemented by a list. Lists can
 * be used to implement buffers.
 */
public interface List
{
  /** The commonly used name to refer to this interface. */
  String ITF_NAME = "list";

  /**
   * Adds the specified element to the list.
   * <p>
   * 
   * @param o element to be added to this list.
   */
  void add(Object o);

  /**
   * Removes an object from the list.
   * 
   * @return the removed object, or <code>null</code> if the list is empty.
   */
  Object remove();

  /**
   * Returns <code>true</code> if the list is empty.
   * 
   * @return <code>true</code> if the list is empty.
   */
  boolean isEmpty();
}